## public Candidate::setName

### Description    

```php
public Candidate->setName ( string $name ): bool
```

Change the candidate name.
*If this will not cause conflicts if the candidate is already participating in elections and would namesake. This situation will throw an exception.*
    

##### **name:** *```string```*   
Candidate Name.    


### Return value:   

*(```bool```)* In case of success, return TRUE



### Throws:   

* ```CondorcetPHP\Condorcet\Throwable\CandidateInvalidNameException```
